## ros-jazzy-moveit-planners-stomp 2.10.0

=== debian/changelog ===
ros-jazzy-moveit-planners-stomp (2.10.0-2bookworm) bookworm; urgency=high

  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * missing destination path (#2668 <https://github.com/moveit/moveit2/issues/2668>)
  * Fix penalty-based cost function in STOMP (#2625 <https://github.com/moveit/moveit2/issues/2625>)
    * Fix penalty-based cost function in STOMP
    This adds several test cases for STOMP's noise generation and cost
    functions, and provides the following fixes:
    * out-of-bounds vector access when tail states of trajectory are invalid
    * smoothed costs overriding values of previous invalid groups
    * missing validity check of last state in trajectory
    * inability to disable cost function interpolation steps
    * total cost of trajectory not summing up to sum of state penalties
    * bug in Gaussian producing infinite values with invalid start states
    * Improve documentation
    ---------
  * Contributors: Henning Kayser, Robert Haschke, Sarvajith Adyanthaya, Sebastian Jahr, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-moveit-planners-stomp (2.9.0-2bookworm) bookworm; urgency=high

  * Node logging for the rest of MoveIt (#2599 <https://github.com/ros-planning/moveit2/issues/2599>)
  * [Planning Pipeline Refactoring] #2 <https://github.com/ros-planning/moveit2/issues/2> Enable chaining planners (#2457 <https://github.com/ros-planning/moveit2/issues/2457>)
    * Enable chaining multiple planners
  * [Planning Pipeline Refactoring] #1 <https://github.com/ros-planning/moveit2/issues/1> Simplify Adapter - Planner chain (#2429 <https://github.com/ros-planning/moveit2/issues/2429>)
  * Add new clang-tidy style rules (#2177 <https://github.com/ros-planning/moveit2/issues/2177>)
  * Do not pass and return simple types by const ref (#2453 <https://github.com/ros-planning/moveit2/issues/2453>)
    Co-authored-by: Nils <mailto:nilsmailiseke@gmail.com>
  * Use constraint distance instead of bool validity in STOMP cost function (#2418 <https://github.com/ros-planning/moveit2/issues/2418>)
    * Use constraint distance instead of bool validity in STOMP cost function
    * Fix comment
  * Using std types instead of boost for Gaussian sampling (#2351 <https://github.com/ros-planning/moveit2/issues/2351>)
    * *Changed boost namespace to std
    *Need to compare function implementations
    *Find an equivalent implementation for variate_generator
    * calling Distribution(Engine) directly
    * cleanup
    * Seed mersenne twister variable with random device
    * Updated with rsl random library
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Update clang-format-14 with QualifierAlignment (#2362 <https://github.com/ros-planning/moveit2/issues/2362>)
    * Set qualifier order in .clang-format
    * Ran pre-commit to update according to new style guide
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Henning Kayser, Marq Rasmussen, Sebastian Jahr, Shobuj Paul, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 08 Jan 2024 16:00:00 -0000

ros-jazzy-moveit-planners-stomp (2.8.0-2bookworm) bookworm; urgency=high

  * Remove added path index from planner adapter function signature (#2285 <https://github.com/ros-planning/moveit2/issues/2285>)
  * Always set response planner id and warn if it is not set (#2236 <https://github.com/ros-planning/moveit2/issues/2236>)
  * Contributors: Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 16:00:00 -0000

ros-jazzy-moveit-planners-stomp (2.7.4-2bookworm) bookworm; urgency=high

  * Migrate STOMP from ros-planning/stomp_moveit (#2158 <https://github.com/ros-planning/moveit2/issues/2158>)
  * Fix clang-tidy warnings
  * Improve Documentation and Readability
  * Remove MVT example
  * Migrate stomp_moveit into moveit_planners
    * Move package into moveit_planners subdirectory
    * Rename stomp_moveit package to moveit_planners_stomp
    * List moveit_planners_stomp as package dependency
  * Contributors: Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 16:00:00 -0000
